//************************************************************************************************
//
//    NOMBRE DEL ARCHIVO: CAlumno.h
//    MDULO:
//    FECHA: 20-05-06
//    AUTOR: Arturo Gil Aparicio
//    DESCRIPCIN: Declaracin de la clase CAlumno
//
//************************************************************************************************

#ifndef __CALUMNO_H__
#define __CALUMNO_H__

//--------------------------------------------------------------------
// Bloque de definiciones  comunes
//--------------------------------------------------------------------
// Definicin de constantes
const int TAM = 100;
// Definicin de macros

// Definicin de tipos de datos y clases
class CAlumno{

private:
        char nombre[TAM];        
        char direccion[TAM];        
        float notas[3];
	
public:
	CAlumno(void);		// constructor por defecto
    CAlumno(char *nombre, char* dir, float  *nota);
    CAlumno(CAlumno& alu_orig);		// constructor copia
    ~CAlumno(void);							// destructor

    void Introducir(); //Pide los datos correspondientes a un alumno
    void Visualizar(); //Muestra por pantalla los datos correspondientes a un alumno
    
    CAlumno& operator = (CAlumno &aluder); //Operador asignacin
    
    int operator == (CAlumno &aluder); //Comprueba si son el mismo alumno 
    int operator != (CAlumno &aluder); //Comprueba si son el mismo alumno 
    int operator < (CAlumno &aluder); //Comprueba relacin con los nombres
    int operator > (CAlumno &aluder); //Comprueba relacin con los  nombres   
};	// fin de la clase CAlumno



//--------------------------------------------------------------------
#ifndef    __CALUMNO_CPP__
//--------------------------------------------------------------------
// Bloque de definiciones externas

// Variables Globales externas

//--------------------------------------------------------------------
#else
//--------------------------------------------------------------------
// Bloque de definiciones internas

// Prototipos de funciones internas

//--------------------------------------------------------------------
#endif		// Fin bloque de definiciones internas
#endif		// Fin bloque de la cabecera
