//************************************************************************************************
//
//    NOMBRE DEL ARCHIVO: CLista.h
//    MDULO:
//    FECHA: 30-04-01
//    AUTOR: Arturo Gil Aparicio
//    DESCRIPCIN: Declaracin de la clase CLista.
//
//************************************************************************************************

#ifndef __CLISTA_H__
#define __CLISTA_H__

//--------------------------------------------------------------------
// Bloque de definiciones  comunes
//--------------------------------------------------------------------
// Definicin de constantes

// Definicin de macros

#include "../inc/CAlumno.h"

// Definicin de tipos de datos y clases
class CLista {

private:
    int numalumnos; //Numero de alumnos de la lista
    CAlumno *plista; //puntero a la lista de alumnos
    
public:
	CLista(int num=3); // constructor de una lista de 30 alumnos
	CLista(int num, CAlumno *lista);		// constructor copia
    CLista(const CLista &lista_orig);		// constructor copia
	~CLista(void);							// destructor

    void Visualizar();       //Visualiza la lista de alumnos
    void Introducir();  // Pide los datos de todos los alumnos de la lista
    
    int BuscarAlumno(char *nom);     //Busca un alumno determinado en la lista y lo 
                                         // devuelve muestra por pantalla
    

    void OrdenarLista();   //Ordena la lista por el nombre
    
    
    
};	// fin de la clase CLista



 

//--------------------------------------------------------------------
#ifndef    __CLISTA_CPP__
//--------------------------------------------------------------------
// Bloque de definiciones externas

// Variables Globales externas

//--------------------------------------------------------------------
#else
//--------------------------------------------------------------------
// Bloque de definiciones internas

// Prototipos de funciones internas

//--------------------------------------------------------------------
#endif		// Fin bloque de definiciones internas
#endif		// Fin bloque de la cabecera
