//************************************************************************************************
//
//    NOMBRE DEL ARCHIVO: CLista.cpp
//    MDULO:
//    FECHA: 
//    AUTOR: Arturo Gil Aparicio
//    DESCRIPCIN: Implementacin de la clase CLista
//
//************************************************************************************************

#define __CLISTA_CPP__

//Libreras Estndar
#include <iostream.h>
#include <math.h>

//Otras libreras


//Encabezado Mdulo-Proyecto

//Encabazado del archivo
#include "..\inc\Clista.h"
#include "..\inc\CAlumno.h"

//Variables Globales externas

//Variables Globales internas


//**********************************************************************
//
//	NOMBRE: CLista::CLista
//	VARIABLES GLOBALES:
//	VARIABLES DE SALIDA:
//	COMENTARIOS (PARMETROS): Constructor por defecto. 
//
//**********************************************************************
CLista::CLista(int num)
{
    numalumnos = num;
    plista = new CAlumno[num];
}

//**********************************************************************
//
//	NOMBRE: CLista::CLista
//	VARIABLES GLOBALES:
//	VARIABLES DE SALIDA:
//	COMENTARIOS (PARMETROS): Constructor con numero de elementos y array de alumnos
//
//**********************************************************************
CLista::CLista(int num, CAlumno *alus)
{
	numalumnos = num;
    plista = new CAlumno[num];
    
    for(int i=0; i < num; i++)
            plista[i] = alus[i];
}

//**********************************************************************
//
//	NOMBRE: CLista::CLista
//	VARIABLES GLOBALES:
//	VARIABLES DE SALIDA:
//	COMENTARIOS (PARMETROS): constructor copia
//
//**********************************************************************
CLista::CLista(const CLista &lista_orig)	
{
	numalumnos = lista_orig.numalumnos;
    plista = new CAlumno[numalumnos];
    
    for(int i=0; i < numalumnos; i++)
            plista[i] = lista_orig.plista[i];
}

//**********************************************************************
//
//	NOMBRE: CLista::~CLista
//	VARIABLES GLOBALES:
//	VARIABLES DE SALIDA:
//	COMENTARIOS (PARMETROS): destructor
//
//**********************************************************************
CLista::~CLista(void)					
{
   delete []plista;	
}

//***************************************************************************************
//    Nombre: CLista::Visualizar
//    Variables globales: 
//    Variables de salida:
//    Comentarios (parmetros): Visualiza en pantalla los alumnos de la lista
//***************************************************************************************
void CLista::Visualizar(void)
{
 cout << endl;
     for(int i = 0; i < numalumnos; i++)
             plista[i].Visualizar();
}

//***************************************************************************************
//    Nombre: CLista::Introducir
//    Variables globales: 
//    Variables de salida:
//    Comentarios (parmetros): Pide por pantalla los datos de los alumnos
//***************************************************************************************
void CLista::Introducir(void)
{
     for(int i = 0; i < numalumnos; i++)
             plista[i].Introducir();
}